Subject: Re: switching to any other than English keyboard layout is not handled correctly anymore on the prompt at minimum
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Mon, 25 Jan 2021 14:53:38 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-01-25 14:12, Ariel Burbaickij via Cygwin wrote:
> On Mon, Jan 25, 2021 at 9:59 PM Brian Inglis wrote:
>> On 2021-01-25 05:46, Ariel Burbaickij via Cygwin wrote:
>>> I tried to find some files from the command line prompt which are named 
>>> using various non-Latin (Russian, Hebrew, Arabic) and non-default Latin 
>>> (German) layouts under Windows 10 Enterprise using recent cygwin version 
>>> and the outcome is that instead of representing letters I see control 
>>> characters of the type: \263\320\321  (Unicode numeric value of the 
>>> letters?). Any ideas what happens here and how correct functionality can 
>>> be restored?

>> Which command line prompt(s): cmd, mintty, rxvt, xterm, ...?
>> Where and how did you switch layouts: Windows keyboard mapping, Windows 
>> system locale, Windows user regional settings, chcp, LANG, LC_CTYPE,
>> LC_ALL, ...?
>> If you are using a terminal, what are the terminal locale and code page
>> settings?
>> Maybe you could explicitly show and tell us what characters you used 
>> (sending in hex please and also in 8bit UTF-8 for maximum readability: that
>> looks like octal which went out with ASCII, ISO-646, SBCS code pages), show
>> us how the filenames appear including the locales and the shell command
>> lines, and show and tell us what you expect, and what is the difference in
>> what you see.
>> For details on Cygwin file name special character mappings, see:
>>          https://cygwin.com/cygwin-ug-net/using-specialnames.html
 > I used mintty -- default in cygwin installation as I understand.
 > I switch layouts by switching keyboard mappings, mappings are customized
 > from the standard ones to what is called "phonetic" for non-Latin alphabets
 > but this is handled just fine everywhere outside Cygwin.
 > I will be guessing here what you request from me but I attempted to type in
 > UTF-8  август,  basically Russian in  all small letters for August as a
 > more or less random but valid example. FIlename I was looking for contains
 > this string and filename is presented correctly as all others are with ls
 > but I cannot type this string in cygwin's prompt.

Using what utility/-ies, how and where did you customize and switch keyboard 
mappings: Windows keyboard mapping, Windows system locale, Windows user regional 
settings, readline {/etc/,~/.}inputrc?

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple